import { Routes } from '@angular/router';
import { LandingComponent } from './feature/landing/landing.component';
import { authGuard } from './auth.guard';

export const routes: Routes = [
  {
    path: '',
    component: LandingComponent,
  },
  {
    path: 'home',
    loadComponent: () => import('./feature/home/home.component'),
    canActivate: [authGuard],
  },
  {
    path: 'verify',
    loadComponent: () =>
      import('./feature/auth/verify-email/verify-email.component').then(
        (m) => m.VerifyEmailComponent
      ),
  },
  {
    path: 'recover-password',
    loadComponent: () =>
      import('./feature/auth/recover-password/recover-password.component').then(
        (m) => m.RecoverPasswordComponent
      ),
  },
  {
    path: 'reset-password',
    loadComponent: () =>
      import('./feature/auth/recover-password/recover-password.component').then(
        (m) => m.RecoverPasswordComponent
      ),
  },
  {
    path: 'oauth2/callback/github',
    loadComponent: () =>
      import('./feature/auth/oauth2/oauth2-callback.component').then(
        (m) => m.OAuth2CallbackComponent
      ),
  },
  {
    path: 'game/blackjack',
    loadComponent: () => import('./feature/game/blackjack/blackjack.component'),
    canActivate: [authGuard],
  },
  {
    path: 'game/slots',
    loadComponent: () => import('./feature/game/slots/slots.component'),
    canActivate: [authGuard],
  },
  {
    path: 'game/lootboxes',
    loadComponent: () =>
      import('./feature/lootboxes/lootbox-selection/lootbox-selection.component'),
    canActivate: [authGuard],
  },
  {
    path: 'game/lootboxes/open/:id',
    loadComponent: () => import('./feature/lootboxes/lootbox-opening/lootbox-opening.component'),
    canActivate: [authGuard],
  },
  {
    path: 'game/dice',
    loadComponent: () => import('./feature/game/dice/dice.component').then(m => m.DiceComponent),
    canActivate: [authGuard],
  },
];
