import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DiceDto, DiceResult } from './dice.model';

@Injectable({
  providedIn: 'root'
})
export class DiceService {
  private apiUrl = '/backend/dice';

  constructor(private http: HttpClient) { }

  rollDice(diceDto: DiceDto): Observable<DiceResult> {
    return this.http.post<DiceResult>(this.apiUrl, diceDto);
  }
}
